Director Search API

AI Tools

SEARCH REGISTERED DIRECTORS BY NAME AND MORE

Description

Attestr offers this Director Search API that is built on an indexed database with 4 million+ Indian registered companies director data.


The legacy data processing model is being formally deprecated.

In order to ensure continued compliance with the Digital Personal Data Protection Act, 2023 (DPDP Act), we are implementing DPDP V3 (Consent-Driven Processing). Under this framework, clients are required to obtain explicit, informed, and verifiable consent from the data principal prior to accessing, processing, viewing, or storing any personal data through the platform. This regulatory transition may require modifications to existing configurations and workflows. Clients are advised to review and update their implementations to ensure ongoing compliance with applicable data protection obligations. Further information regarding this transition can be enquired here. Learn more about this change here.

API Details

Request

Type

URL

Current / LTS Version

Min Version

Max Version

POST

https://api.attestr.com/api/{version}/public/corpx/director/search

v2

v2


Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v2


String

Authorization

Basic {authToken}

Required

v2


Info

If you do not have the authentication token, please refer to Register App

Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

Full Name Search Object

fullName

Criteria object to search using full name of the director. See table below for definition.

Optional

v2


String

pan

Provide Director's PAN to search by PAN

Optional

v2


Boolean

disqualified

If set, returns only disqualified directors

Optional

v2


String

status

Search by current DIN status. Allowed values are -"Approved", "Deactivated", "Disabled", "Inactive", "Lapsed", "Provisional", "Rejected", "Surrendered"

Optional

v2


Boolean

dir3KYCFiled

Filter by dir3KYCStatus filed or not

Optional

v2


Number

skip

Pagination parameter. Number of records to skip.

Optional

v2


Number

limit

Pagination parameter. Number of records to return. skip and limit must be used in conjunction.

Optional

v2


String

sort

Sort parameter. Allowed values are

  1. score

  2. fullName

  3. status

Optional

v2


Number

sortOrder

Sort order. Use 1 for ascending and -1 for descending order. sort and sortOrder must be used in conjunction.

Optional

v2


Full Name Search Object

Type

Key

Description

Required/Optional

Min Version

Max Version

String

matchCriteria

Full name match criteria. Allowed values are -

CONTAINS - The response returns only the director names that, in any order, contain every word from the supplied value. In the event that enableFuzzy is selected, all words are matched in a fuzzy manner.

Eg. Input: Ramesh

Eg. Output

Ramesh Nagar

Ramesh Singh

EQUALS - Name is exactly same as provided value.

Eg. Input: Ramesh Singh

Eg. Output: Ramesh Singh

MATCHES - Name matches the provided value. The search result includes all director names that contain one or more words from the supplied value.

Eg. Input:

Ramesh Mohan Sharma

Eg. Output:

  • Ramesh Mohan Sharma

  • Ramesh Sharma

  • Mohan Singh

PHRASE - Name contains the provided value as a Phrase.

Eg. Input: Ramesh Narayan,

Eg. Output:

  • Ramesh Jagat Narayan

  • Ramesh Narayan Singh

Required

v2


String

matchValue

Value to be searched for the specified match criteria

Required

v2


Boolean

enableFuzzy

Allowed only when the match criteria is CONTAINS. If set, fuzzy search mode is enabled. Know more about fuzzy searches.

Conditional

v2


Sample Request

{ "fullName": { "matchCriteria": "CONTAINS", "matchValue": "SAURABH", "enableFuzzy": true }, "skip": 0, "limit": 100, "status": "Approved", "sort": "score", "sortOrder": -1 }

Sample Request - Search By PAN

{ "pan":"ABCDE1234F" }

Response

HTTP status code 200

Key

Description

Type

Min Version

Max Version

indexId

Unique Attestr index Id assigned to every registered director

String

v2


firstName

Director first name

String

v2


middleName

Director middle name

String

v2


lastName

Director last name

String

v2


fullName

Director full name

String

v2


disqualified

Disqualified status

Boolean

v2


status

DIN status as registered

String

v2


dir3KYCFiled

Whether dir3KYC has been filed or not by the director

Boolean

v2


associations

List of associated companies. Record definition is as follows. reg: CIN number of the entity businessName: Legal entity name

Object

v2


Sample Response

Sample response for matching results found

[ { "firstName": ".", "middleName": null, "lastName": "SAURABH", "disqualified": false, "status": "Approved", "dir3KYCFiled": true, "associations": [ { "reg": "U29309DL2020PTC360958", "businessName": "ROCKSENSOR INDIA PRIVATE LIMITED" }, { "reg": "U74999WB2021PTC243605", "businessName": "PRAKASSM GREEN FUEL ENGINEERING PRIVATE LIMITED" }, { "reg": "U74999WB2021PTC243605", "businessName": "PRAKASSM GREEN FUEL ENGINEERING PRIVATE LIMITED" }, { "reg": "U29309DL2020PTC360958", "businessName": "ROCKSENSOR INDIA PRIVATE LIMITED" } ], "indexId": "08681783", "fullName": ". SAURABH" }, { "firstName": "SAURABH", "middleName": null, "lastName": "BHARGAVA", "disqualified": false, "status": "Approved", "dir3KYCFiled": true, "associations": [ { "reg": "U24231UP1984PTC006453", "businessName": "SIGNA PHARMA PRIVATE LIMITED" } ], "indexId": "05104837", "fullName": "SAURABH BHARGAVA" }, { "firstName": "SAURABH", "middleName": null, "lastName": "KUMAR", "disqualified": false, "status": "Approved", "dir3KYCFiled": true, "associations": [ { "reg": "U24200DL2016PTC308695", "businessName": "JMJPEST MANAGEMENT PRIVATE LIMITED" }, { "reg": "U24200DL2016PTC308695", "businessName": "JMJPEST MANAGEMENT PRIVATE LIMITED" }, { "reg": "U24290UP2022PTC157980", "businessName": "MEDFLUX PHARMACEUTICALS PRIVATE LIMITED" } ], "indexId": "02842613", "fullName": "SAURABH KUMAR" } ]

Sample response for no records

[]

Error Response

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4005

Operation could not be performed due to low credits balance

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Sample Error Response

{ "code": 4001, "message": "Malformed data or missing required parameter values" }


  Last updated